Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.activator.listeners
Class NamespaceBundleLister

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.activator.listeners.BaseListener
          org.eclipse.gemini.blueprint.extender.internal.activator.listeners.NamespaceBundleLister

All Implemented Interfaces:
  EventListener, org.osgi.framework.BundleListener, org.osgi.framework.SynchronousBundleListener

    public class NamespaceBundleLister

extends BaseListener

Bundle listener used for detecting namespace handler/resolvers. Exists as a separate listener so that it can be registered early to avoid race conditions with bundles in INSTALLING state but still to avoid premature context creation before the Spring `ContextLoaderListener` is not fully initialized.

Author:
  Costin Leau

Field Summary

Fields inherited from class org.eclipse.gemini.blueprint.extender.internal.activator.listeners.BaseListener
`LAZY_ACTIVATION_EVENT_TYPE, lazyBundleCache, log`

Constructor Summary
`NamespaceBundleLister(boolean resolvedBundles, NamespaceHandlerActivator namespaceHandlerActivator)`

Method Summary
`protected void` | `handleEvent(org.osgi.framework.BundleEvent event)`

Methods inherited from class org.eclipse.gemini.blueprint.extender.internal.activator.listeners.BaseListener
`bundleChanged, close, pop, push`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceBundleLister

    public NamespaceBundleLister(boolean resolvedBundles,
                                 NamespaceHandlerActivator namespaceHandlerActivator)

Method Detail

### handleEvent

    protected void handleEvent(org.osgi.framework.BundleEvent event)

  Specified by:
    `handleEvent` in class `BaseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.